Subject: Re: [PATCH net 1/2] sit: allow to use rtnl ops on fb tunnel

From: Nicolas Dichtel <[email-masked]>
Date: Wed, 02 Oct 2013 09:15:34 +0200

Le 01/10/2013 18:59, David Miller a écrit :
> From: Nicolas Dichtel <[email-masked]>
> Date: Tue,  1 Oct 2013 18:04:59 +0200
>
>> rtnl ops where introduced by ba3e3f50a0e5 ("sit: advertise tunnel param via
>> rtnl"), but I forget to assign rtnl ops to fb tunnels.
>>
>> Now that it is done, we must remove the explicit call to
>> unregister_netdevice_queue(), because  the fallback tunnel is added to the queue
>> in sit_destroy_tunnels() when checking rtnl_link_ops of all netdevices (this
>> is valid since commit 5e6700b3bf98 ("sit: add support of x-netns")).
>>
>> Signed-off-by: Nicolas Dichtel <[email-masked]>
>
> Applied and queued up for -stable.
>
> But I imagine since the x-netns changes aren't in various -stable
> branches this will need to be adjusted a bit?
Yes, it's what I've tried to say in the commit log ;-)

In fact, before the x-netns changes, we must keep the 
unregister_netdevice_queue() line.